Managing clusters, node groups, and nodes: creating a cluster, automating cluster maintenance, and more
Managing Kubernetes clusters: create, update, and delete clusters, automate cluster maintenance, and more
{- "clusters": [
- {
- "id": "5C2B9606-F7FA-4468-AD98-E389D5334CBA",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "name": "super-mks-cluster",
- "project_id": "8D226B33-3897-4223-AAAF-A83D49C5399E",
- "status": "ACTIVE",
- "basic": true,
- "enable_autorepair": true,
- "enable_patch_version_auto_upgrade": true,
- "private_kube_api": true,
- "kube_api_ip": "10.10.1.1",
- "subnet_id": "0FAB540C-1099-4A4A-AD6C-C1498BE74E0A",
- "kube_version": 1.32,
- "network_id": "EE102156-A9A8-423A-811D-F8E3C56891B7",
- "network_type": "STANDARD",
- "pool": "ru-9",
- "kubernetes_options": {
- "admission_controllers": [
- "string"
], - "audit_logs": {
- "enabled": true,
- "secret_name": "string"
}, - "feature_gates": [
- "string"
], - "oidc": {
- "client_id": "string",
- "enabled": true,
- "groups_claim": "string",
- "issuer_url": "string",
- "provider_name": "string",
- "username_claim": "string",
- "ca_certs": "string",
- "ca_certs_expiration": "2019-08-24T14:15:22Z"
}, - "x509_ca_certificates": "string"
}, - "cni_type": "CALICO",
- "cluster_type": "BASIC"
}
]
}Starts creating a cluster.
object (ClusterCreateStruct) | |||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||
{- "cluster": {
- "additional_software": {
- "property1": null,
- "property2": null
}, - "basic": true,
- "cloud_subnet_cidr": "string",
- "enable_patch_version_auto_upgrade": true,
- "enable_autorepair": true,
- "kube_version": "string",
- "kubernetes_options": {
- "admission_controllers": [
- "string"
], - "audit_logs": {
- "enabled": true,
- "secret_name": "string"
}, - "feature_gates": [
- "string"
], - "oidc": {
- "client_id": "string",
- "enabled": true,
- "groups_claim": "string",
- "issuer_url": "string",
- "provider_name": "string",
- "username_claim": "string",
- "ca_certs": "string",
- "ca_certs_expiration": "2019-08-24T14:15:22Z"
}, - "x509_ca_certificates": "string"
}, - "maintenance_window_start": "string",
- "name": "string",
- "network_id": "string",
- "network_type": "string",
- "pool": "string",
- "private_kube_api": true,
- "subnet_id": "string",
- "cni_type": "string",
- "cluster_type": "BASIC",
- "cni_cilium_settings": {
- "hubble_relay": true,
- "envoy_daemonset": true
}
}
}{- "cluster": {
- "id": "5C2B9606-F7FA-4468-AD98-E389D5334CBA",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "name": "super-mks-cluster",
- "project_id": "8D226B33-3897-4223-AAAF-A83D49C5399E",
- "status": "ACTIVE",
- "basic": true,
- "enable_autorepair": true,
- "enable_patch_version_auto_upgrade": true,
- "private_kube_api": true,
- "kube_api_ip": "10.10.1.1",
- "subnet_id": "0FAB540C-1099-4A4A-AD6C-C1498BE74E0A",
- "kube_version": 1.32,
- "network_id": "EE102156-A9A8-423A-811D-F8E3C56891B7",
- "network_type": "STANDARD",
- "pool": "ru-9",
- "kubernetes_options": {
- "admission_controllers": [
- "string"
], - "audit_logs": {
- "enabled": true,
- "secret_name": "string"
}, - "feature_gates": [
- "string"
], - "oidc": {
- "client_id": "string",
- "enabled": true,
- "groups_claim": "string",
- "issuer_url": "string",
- "provider_name": "string",
- "username_claim": "string",
- "ca_certs": "string",
- "ca_certs_expiration": "2019-08-24T14:15:22Z"
}, - "x509_ca_certificates": "string"
}, - "additional_software": {
- "property1": null,
- "property2": null
}, - "maintenance_last_start": "2019-08-24T14:15:22Z",
- "maintenance_window_end": "string",
- "maintenance_window_start": "string",
- "pki_tree_updated_at": "2019-08-24T14:15:22Z",
- "cni_type": "CALICO",
- "cluster_type": "BASIC",
- "cni_cilium_settings": {
- "hubble_relay": true,
- "envoy_daemonset": true
}
}
}Returns information about a cluster by provided cluster_id.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
{- "cluster": {
- "id": "5C2B9606-F7FA-4468-AD98-E389D5334CBA",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "name": "super-mks-cluster",
- "project_id": "8D226B33-3897-4223-AAAF-A83D49C5399E",
- "status": "ACTIVE",
- "basic": true,
- "enable_autorepair": true,
- "enable_patch_version_auto_upgrade": true,
- "private_kube_api": true,
- "kube_api_ip": "10.10.1.1",
- "subnet_id": "0FAB540C-1099-4A4A-AD6C-C1498BE74E0A",
- "kube_version": 1.32,
- "network_id": "EE102156-A9A8-423A-811D-F8E3C56891B7",
- "network_type": "STANDARD",
- "pool": "ru-9",
- "kubernetes_options": {
- "admission_controllers": [
- "string"
], - "audit_logs": {
- "enabled": true,
- "secret_name": "string"
}, - "feature_gates": [
- "string"
], - "oidc": {
- "client_id": "string",
- "enabled": true,
- "groups_claim": "string",
- "issuer_url": "string",
- "provider_name": "string",
- "username_claim": "string",
- "ca_certs": "string",
- "ca_certs_expiration": "2019-08-24T14:15:22Z"
}, - "x509_ca_certificates": "string"
}, - "additional_software": {
- "property1": null,
- "property2": null
}, - "maintenance_last_start": "2019-08-24T14:15:22Z",
- "maintenance_window_end": "string",
- "maintenance_window_start": "string",
- "pki_tree_updated_at": "2019-08-24T14:15:22Z",
- "cni_type": "CALICO",
- "cluster_type": "BASIC",
- "cni_cilium_settings": {
- "hubble_relay": true,
- "envoy_daemonset": true
}
}
}Updates cluster parameters.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
object (ClusterUpdateStruct) | |||||||||||
| |||||||||||
{- "cluster": {
- "enable_patch_version_auto_upgrade": true,
- "enable_autorepair": true,
- "kubernetes_options": {
- "admission_controllers": [
- "string"
], - "audit_logs": {
- "enabled": true,
- "secret_name": "string"
}, - "feature_gates": [
- "string"
], - "oidc": {
- "client_id": "string",
- "enabled": true,
- "groups_claim": "string",
- "issuer_url": "string",
- "provider_name": "string",
- "username_claim": "string",
- "ca_certs": "string",
- "ca_certs_expiration": "2019-08-24T14:15:22Z"
}, - "x509_ca_certificates": "string"
}, - "maintenance_window_start": "string",
- "cni_cilium_settings": {
- "hubble_relay": true,
- "envoy_daemonset": true
}
}
}{- "cluster": {
- "id": "5C2B9606-F7FA-4468-AD98-E389D5334CBA",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "name": "super-mks-cluster",
- "project_id": "8D226B33-3897-4223-AAAF-A83D49C5399E",
- "status": "ACTIVE",
- "basic": true,
- "enable_autorepair": true,
- "enable_patch_version_auto_upgrade": true,
- "private_kube_api": true,
- "kube_api_ip": "10.10.1.1",
- "subnet_id": "0FAB540C-1099-4A4A-AD6C-C1498BE74E0A",
- "kube_version": 1.32,
- "network_id": "EE102156-A9A8-423A-811D-F8E3C56891B7",
- "network_type": "STANDARD",
- "pool": "ru-9",
- "kubernetes_options": {
- "admission_controllers": [
- "string"
], - "audit_logs": {
- "enabled": true,
- "secret_name": "string"
}, - "feature_gates": [
- "string"
], - "oidc": {
- "client_id": "string",
- "enabled": true,
- "groups_claim": "string",
- "issuer_url": "string",
- "provider_name": "string",
- "username_claim": "string",
- "ca_certs": "string",
- "ca_certs_expiration": "2019-08-24T14:15:22Z"
}, - "x509_ca_certificates": "string"
}, - "additional_software": {
- "property1": null,
- "property2": null
}, - "maintenance_last_start": "2019-08-24T14:15:22Z",
- "maintenance_window_end": "string",
- "maintenance_window_start": "string",
- "pki_tree_updated_at": "2019-08-24T14:15:22Z",
- "cni_type": "CALICO",
- "cluster_type": "BASIC",
- "cni_cilium_settings": {
- "hubble_relay": true,
- "envoy_daemonset": true
}
}
}Partially update cluster parameters.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
Cluster partial update request body.
object (ClusterUpdateStruct) | |||||||||||
| |||||||||||
{- "cluster": {
- "enable_patch_version_auto_upgrade": true,
- "enable_autorepair": true,
- "kubernetes_options": {
- "admission_controllers": [
- "string"
], - "audit_logs": {
- "enabled": true,
- "secret_name": "string"
}, - "feature_gates": [
- "string"
], - "oidc": {
- "client_id": "string",
- "enabled": true,
- "groups_claim": "string",
- "issuer_url": "string",
- "provider_name": "string",
- "username_claim": "string",
- "ca_certs": "string",
- "ca_certs_expiration": "2019-08-24T14:15:22Z"
}, - "x509_ca_certificates": "string"
}, - "maintenance_window_start": "string",
- "cni_cilium_settings": {
- "hubble_relay": true,
- "envoy_daemonset": true
}
}
}{- "cluster": {
- "id": "5C2B9606-F7FA-4468-AD98-E389D5334CBA",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "name": "super-mks-cluster",
- "project_id": "8D226B33-3897-4223-AAAF-A83D49C5399E",
- "status": "ACTIVE",
- "basic": true,
- "enable_autorepair": true,
- "enable_patch_version_auto_upgrade": true,
- "private_kube_api": true,
- "kube_api_ip": "10.10.1.1",
- "subnet_id": "0FAB540C-1099-4A4A-AD6C-C1498BE74E0A",
- "kube_version": 1.32,
- "network_id": "EE102156-A9A8-423A-811D-F8E3C56891B7",
- "network_type": "STANDARD",
- "pool": "ru-9",
- "kubernetes_options": {
- "admission_controllers": [
- "string"
], - "audit_logs": {
- "enabled": true,
- "secret_name": "string"
}, - "feature_gates": [
- "string"
], - "oidc": {
- "client_id": "string",
- "enabled": true,
- "groups_claim": "string",
- "issuer_url": "string",
- "provider_name": "string",
- "username_claim": "string",
- "ca_certs": "string",
- "ca_certs_expiration": "2019-08-24T14:15:22Z"
}, - "x509_ca_certificates": "string"
}, - "additional_software": {
- "property1": null,
- "property2": null
}, - "maintenance_last_start": "2019-08-24T14:15:22Z",
- "maintenance_window_end": "string",
- "maintenance_window_start": "string",
- "pki_tree_updated_at": "2019-08-24T14:15:22Z",
- "cni_type": "CALICO",
- "cluster_type": "BASIC",
- "cni_cilium_settings": {
- "hubble_relay": true,
- "envoy_daemonset": true
}
}
}Deletes a cluster by provided cluster_id.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
{- "error": {
- "id": "885D8D82-9D41-446B-84EA-BC3058E3F2C5",
- "message": "Unable find object by provided uuid"
}
}Returns a kubeconfig in YAML for the requested cluster.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
{- "error": {
- "id": "885D8D82-9D41-446B-84EA-BC3058E3F2C5",
- "message": "Unable find object by provided uuid"
}
}Starts certificates rotation.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
{- "error": {
- "id": "885D8D82-9D41-446B-84EA-BC3058E3F2C5",
- "message": "Unable find object by provided uuid"
}
}Starts upgrading a Kubernetes patch version.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
{- "cluster": {
- "id": "5C2B9606-F7FA-4468-AD98-E389D5334CBA",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "name": "super-mks-cluster",
- "project_id": "8D226B33-3897-4223-AAAF-A83D49C5399E",
- "status": "ACTIVE",
- "basic": true,
- "enable_autorepair": true,
- "enable_patch_version_auto_upgrade": true,
- "private_kube_api": true,
- "kube_api_ip": "10.10.1.1",
- "subnet_id": "0FAB540C-1099-4A4A-AD6C-C1498BE74E0A",
- "kube_version": 1.32,
- "network_id": "EE102156-A9A8-423A-811D-F8E3C56891B7",
- "network_type": "STANDARD",
- "pool": "ru-9",
- "kubernetes_options": {
- "admission_controllers": [
- "string"
], - "audit_logs": {
- "enabled": true,
- "secret_name": "string"
}, - "feature_gates": [
- "string"
], - "oidc": {
- "client_id": "string",
- "enabled": true,
- "groups_claim": "string",
- "issuer_url": "string",
- "provider_name": "string",
- "username_claim": "string",
- "ca_certs": "string",
- "ca_certs_expiration": "2019-08-24T14:15:22Z"
}, - "x509_ca_certificates": "string"
}, - "additional_software": {
- "property1": null,
- "property2": null
}, - "maintenance_last_start": "2019-08-24T14:15:22Z",
- "maintenance_window_end": "string",
- "maintenance_window_start": "string",
- "pki_tree_updated_at": "2019-08-24T14:15:22Z",
- "cni_type": "CALICO",
- "cluster_type": "BASIC",
- "cni_cilium_settings": {
- "hubble_relay": true,
- "envoy_daemonset": true
}
}
}Starts upgrading a minor version.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
{- "cluster": {
- "id": "5C2B9606-F7FA-4468-AD98-E389D5334CBA",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "name": "super-mks-cluster",
- "project_id": "8D226B33-3897-4223-AAAF-A83D49C5399E",
- "status": "ACTIVE",
- "basic": true,
- "enable_autorepair": true,
- "enable_patch_version_auto_upgrade": true,
- "private_kube_api": true,
- "kube_api_ip": "10.10.1.1",
- "subnet_id": "0FAB540C-1099-4A4A-AD6C-C1498BE74E0A",
- "kube_version": 1.32,
- "network_id": "EE102156-A9A8-423A-811D-F8E3C56891B7",
- "network_type": "STANDARD",
- "pool": "ru-9",
- "kubernetes_options": {
- "admission_controllers": [
- "string"
], - "audit_logs": {
- "enabled": true,
- "secret_name": "string"
}, - "feature_gates": [
- "string"
], - "oidc": {
- "client_id": "string",
- "enabled": true,
- "groups_claim": "string",
- "issuer_url": "string",
- "provider_name": "string",
- "username_claim": "string",
- "ca_certs": "string",
- "ca_certs_expiration": "2019-08-24T14:15:22Z"
}, - "x509_ca_certificates": "string"
}, - "additional_software": {
- "property1": null,
- "property2": null
}, - "maintenance_last_start": "2019-08-24T14:15:22Z",
- "maintenance_window_end": "string",
- "maintenance_window_start": "string",
- "pki_tree_updated_at": "2019-08-24T14:15:22Z",
- "cni_type": "CALICO",
- "cluster_type": "BASIC",
- "cni_cilium_settings": {
- "hubble_relay": true,
- "envoy_daemonset": true
}
}
}Managing node groups in clusters: create, update, delete, resize, automate scaling, and more
Returns a list of node groups of the cluster.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
{- "nodegroups": [
- {
- "id": "7FEE2971-8A83-4487-A427-3867D1F88335",
- "cluster_id": "E3EF1AD7-DF11-49C3-BD16-8725902325BC",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "status": "ACTIVE",
- "nodegroup_type": "STANDARD",
- "enable_autoscale": true,
- "autoscale_max_nodes": 10,
- "autoscale_min_nodes": 0,
- "segment": "ru-9a",
- "install_nvidia_device_plugin": true,
- "preemptible": true,
- "labels": {
- "myFirstKey": "myFirstValue",
- "mySecondKey": "mySecondValue"
}, - "taints": [
- {
- "effect": "NoSchedule",
- "key": "example_key",
- "value": "example_value"
}
], - "cidr": "10.0.1.0/24",
- "cloud_nodegroup_config": {
- "affinity_policy": "string",
- "cpus": 5,
- "flavor_id": 3031,
- "keypair_name": "string",
- "local_volume": true,
- "ram_mb": 8128,
- "volume_gb": 128,
- "volume_type": "universal.ru-9a"
}, - "dedicated_nodegroup_config": {
- "create_storage_partition": true,
- "currency": "main",
- "price_plan_uuid": "3E060EE6-D55A-46C7-89D0-83F8E0839AB9",
- "root_size_gb": 100,
- "service_uuid": "72053A3B-3AF3-45DB-9313-5DB7B57923C2"
}, - "nodes": [
- {
- "id": "75A8CD59-2E4B-4C8B-ABF0-379DDC50CCE3",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "hostname": "super-mks-cluster-k8s-node-asdfg",
- "ip": "10.40.0.153",
- "nodegroup_id": "7FEE2971-8A83-4487-A427-3867D1F88335",
- "provider_server_id": "1620AC2D-7667-42F0-9F6D-A3A0ECA6E654"
}
], - "available_additional_info": {
- "user_data": true
}
}
]
}Starts nodegroups creation process.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
required | Array of objects (NodegroupCreateStruct) | ||||||||||||||||||||||||||
Array
| |||||||||||||||||||||||||||
{- "nodegroups": [
- {
- "segment": "SPB-5",
- "count": 3,
- "labels": {
- "myFirstKey": "myFirstValue",
- "mySecondKey": "mySecondValue"
}, - "taints": [
- {
- "effect": "NoSchedule",
- "key": "example_key",
- "value": "example_value"
}
], - "dedicated_nodegroup_config": {
- "create_storage_partition": true,
- "currency": "main",
- "price_plan_uuid": "3E060EE6-D55A-46C7-89D0-83F8E0839AB9",
- "root_size_gb": 100,
- "service_uuid": "72053A3B-3AF3-45DB-9313-5DB7B57923C2"
}, - "cloud_nodegroup_config": {
- "affinity_policy": "string",
- "cpus": 5,
- "flavor_id": 3031,
- "keypair_name": "string",
- "local_volume": true,
- "ram_mb": 8128,
- "volume_gb": 128,
- "volume_type": "universal.ru-9a"
}, - "cidr": "10.0.1.0/24",
- "enable_autoscale": true,
- "autoscale_max_nodes": 0,
- "autoscale_min_nodes": 0,
- "user_data": "string",
- "install_nvidia_device_plugin": true,
- "preemptible": true
}
]
}{- "error": {
- "message": "Some error occurred"
}
}Returns a single node group by provided cluster_id and nodegroup_id.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
| nodegroup_id required | string Example: B36D6C34-318D-4EC1-833D-384197F24385 Unique node group identifier. |
{- "nodegroup": {
- "id": "7FEE2971-8A83-4487-A427-3867D1F88335",
- "cluster_id": "E3EF1AD7-DF11-49C3-BD16-8725902325BC",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "status": "ACTIVE",
- "nodegroup_type": "STANDARD",
- "enable_autoscale": true,
- "autoscale_max_nodes": 10,
- "autoscale_min_nodes": 0,
- "segment": "ru-9a",
- "install_nvidia_device_plugin": true,
- "preemptible": true,
- "labels": {
- "myFirstKey": "myFirstValue",
- "mySecondKey": "mySecondValue"
}, - "taints": [
- {
- "effect": "NoSchedule",
- "key": "example_key",
- "value": "example_value"
}
], - "cidr": "10.0.1.0/24",
- "cloud_nodegroup_config": {
- "affinity_policy": "string",
- "cpus": 5,
- "flavor_id": 3031,
- "keypair_name": "string",
- "local_volume": true,
- "ram_mb": 8128,
- "volume_gb": 128,
- "volume_type": "universal.ru-9a"
}, - "dedicated_nodegroup_config": {
- "create_storage_partition": true,
- "currency": "main",
- "price_plan_uuid": "3E060EE6-D55A-46C7-89D0-83F8E0839AB9",
- "root_size_gb": 100,
- "service_uuid": "72053A3B-3AF3-45DB-9313-5DB7B57923C2"
}, - "nodes": [
- {
- "id": "75A8CD59-2E4B-4C8B-ABF0-379DDC50CCE3",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "hostname": "super-mks-cluster-k8s-node-asdfg",
- "ip": "10.40.0.153",
- "nodegroup_id": "7FEE2971-8A83-4487-A427-3867D1F88335",
- "provider_server_id": "1620AC2D-7667-42F0-9F6D-A3A0ECA6E654"
}
], - "user_data": "string"
}
}Updates node group by provided cluster_id and nodegroup_id.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
| nodegroup_id required | string Example: B36D6C34-318D-4EC1-833D-384197F24385 Unique node group identifier. |
required | object (NodegroupUpdateStruct) | ||||||||||
| |||||||||||
{- "nodegroup": {
- "labels": {
- "myFirstKey": "myFirstValue",
- "mySecondKey": "mySecondValue"
}, - "taints": [
- {
- "effect": "NoSchedule",
- "key": "example_key",
- "value": "example_value"
}
], - "enable_autoscale": true,
- "autoscale_min_nodes": 0,
- "autoscale_max_nodes": 0
}
}{- "error": {
- "message": "Some error occurred"
}
}Deletes node group by provided cluster_id and nodegroup_id.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
| nodegroup_id required | string Example: B36D6C34-318D-4EC1-833D-384197F24385 Unique node group identifier. |
{- "error": {
- "message": "Some error occurred"
}
}Resizes node group by provided cluster_id and nodegroup_id.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
| nodegroup_id required | string Example: B36D6C34-318D-4EC1-833D-384197F24385 Unique node group identifier. |
required | object (NodegroupResizeStruct) | ||
| |||
{- "nodegroup": {
- "desired": 3
}
}{- "error": {
- "message": "Some error occurred"
}
}Returns single node by provided cluster_id, nodegroup_id and node_id.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
| nodegroup_id required | string Example: B36D6C34-318D-4EC1-833D-384197F24385 Unique node group identifier. |
| node_id required | string Example: 75A8CD59-2E4B-4C8B-ABF0-379DDC50CCE3 Unique node identifier. |
{- "node": {
- "id": "75A8CD59-2E4B-4C8B-ABF0-379DDC50CCE3",
- "created_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "hostname": "super-mks-cluster-k8s-node-asdfg",
- "ip": "10.40.0.153",
- "nodegroup_id": "7FEE2971-8A83-4487-A427-3867D1F88335",
- "provider_server_id": "1620AC2D-7667-42F0-9F6D-A3A0ECA6E654"
}
}Deletes node by provided cluster_id, nodegroup_id and node_id.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
| nodegroup_id required | string Example: B36D6C34-318D-4EC1-833D-384197F24385 Unique node group identifier. |
| node_id required | string Example: 75A8CD59-2E4B-4C8B-ABF0-379DDC50CCE3 Unique node identifier. |
{- "error": {
- "message": "Some error occurred"
}
}Reinstalls node by provided cluster_id, nodegroup_id and node_id.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
| nodegroup_id required | string Example: B36D6C34-318D-4EC1-833D-384197F24385 Unique node group identifier. |
| node_id required | string Example: 75A8CD59-2E4B-4C8B-ABF0-379DDC50CCE3 Unique node identifier. |
{- "error": {
- "message": "Some error occurred"
}
}Returns a list of cluster tasks.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
| limit | integer <uint64> Limit of elements in response. |
| offset | integer <uint64> Default: 0 Number of elements to skip. |
| with_error_details | boolean Default: false Flag to show error details at task view. |
{- "count": 0,
- "tasks": [
- {
- "id": "506E0300-736A-11F0-B558-0800200C9A66",
- "cluster_id": "03C71900-736B-11F0-B558-0800200C9A66",
- "nodegroup_id": "09E3E2F0-736B-11F0-B558-0800200C9A66",
- "started_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "status": "IN_PROGRESS",
- "type": "CREATE_CLUSTER",
- "error_details": {
- "code": 105,
- "details": "some of the servers in the node group have not been created or set up due to internal error",
- "name": "PARTIAL_NODE_SETUP_FAILURE"
}
}
]
}Returns the cluster task.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
| task_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique task identifier. |
| with_error_details | boolean Default: false Flag to show error details at task view. |
{- "task": {
- "id": "506E0300-736A-11F0-B558-0800200C9A66",
- "cluster_id": "03C71900-736B-11F0-B558-0800200C9A66",
- "nodegroup_id": "09E3E2F0-736B-11F0-B558-0800200C9A66",
- "started_at": "2019-11-04T10:21:11.943917Z",
- "updated_at": "2019-11-04T10:21:11.943917Z",
- "status": "IN_PROGRESS",
- "type": "CREATE_CLUSTER",
- "error_details": {
- "code": 105,
- "details": "some of the servers in the node group have not been created or set up due to internal error",
- "name": "PARTIAL_NODE_SETUP_FAILURE"
}
}
}Returns a list of supported admission controllers.
{- "admission_controllers": [
- {
- "kube_version_minor": "1.32",
- "names": [
- "AlwaysPullImages",
- "CertificateApproval",
- "CertificateSigning"
]
}
]
}Create new registries integration in provided cluster
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
required | Array of objects (RegistriesIntegrationCreateStruct) | ||
Array
| |||
{- "registries": [
- {
- "id": "C0523FA7-0BE5-4B9C-9EEA-78EC4CC7204B"
}
]
}{- "registries": [
- {
- "id": "C0523FA7-0BE5-4B9C-9EEA-78EC4CC7204B",
- "name": "my-registry"
}
], - "status": "ACTIVE"
}Get registries integrated with provided cluster
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
{- "registries": [
- {
- "id": "C0523FA7-0BE5-4B9C-9EEA-78EC4CC7204B",
- "name": "my-registry"
}
], - "status": "ACTIVE"
}Update registry integration in the provided cluster
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
required | Array of objects (RegistriesIntegrationUpdateStruct) | ||
Array
| |||
{- "registries": [
- {
- "id": "C0523FA7-0BE5-4B9C-9EEA-78EC4CC7204B"
}
]
}{- "registries": [
- {
- "id": "C0523FA7-0BE5-4B9C-9EEA-78EC4CC7204B",
- "name": "my-registry"
}
], - "status": "ACTIVE"
}Deletes all registry integrations in the provided cluster.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
{- "error": {
- "message": "Some error occurred"
}
}Deletes the provided registry integration in the provided cluster.
| cluster_id required | string Example: 526338B6-1100-4FB3-AD09-5CD268E5E674 Unique cluster identifier. |
| registry_id required | string Example: C0523FA7-0BE5-4B9C-9EEA-78EC4CC7204B Unique registry identifier. |
{- "error": {
- "message": "Some error occurred"
}
}